# Uses of Class
io.dapr.client.domain.GetStateRequest

Packages that use GetStateRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of GetStateRequest in io.dapr.client

Methods in io.dapr.client with parameters of type GetStateRequest
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(GetStateRequest request, TypeRef<T> type)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClientImpl.`getState(GetStateRequest request, TypeRef<T> type)`
Retrieve a State based on their key.

## Uses of GetStateRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return GetStateRequest
Modifier and Type
Method
Description
`GetStateRequest`
GetStateRequest.`setMetadata(Map<String,String> metadata)`
`GetStateRequest`
GetStateRequest.`setStateOptions(StateOptions stateOptions)`